Reply::App(3pm)

NAME
Reply::App - command line app runner for Reply

VERSION
version 0.34

SYNOPSIS
  use Reply::App;
  exit(Reply::App->new->run(@ARGV));

DESCRIPTION
This module encapsulates the various bits of functionality related to running Reply as a command line application.

METHODS

  new
Returns a new Reply::App instance. Takes no arguments.

  run(@argv)
Parses the argument list given (typically from @ARGV), along with the user's configuration file, and attempts to start a Reply shell. A default configuration file will be generated for the user if none exists.

  usage($exitcode)
Prints usage information to the screen. If $exitcode is 0, it will be printed to "STDOUT", otherwise it will be printed to "STDERR".

  version($exitcode)
Prints version information to the screen. If $exitcode is 0, it will be printed to "STDOUT", otherwise it will be printed to "STDERR".

AUTHOR
Jesse Luehrs <doy@tozt.net>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2013 by Jesse Luehrs.

This is free software, licensed under:

  The MIT (X11) License